require 'pry'
class Emojify

  def initialize(city,weather_greeting,temp,weather_code)
    @translations = {
      cities:{
        "new york"=>"🇺🇸 🗽",
        "los angeles"=>"🇺🇸 🌊  🌴",
        "san francisco"=>"🇺🇸 🌁",
        "other"=>"🇺🇸"
      },
      greetings:{
        "2"=>"‼️ 🔌 💥",
        "3"=>"💦 💦 💦",
        "5"=>"💦 💦 💦",
        "6"=>"⛄️ ⁉️",
        "7"=>"🌀 💨 👒",
        "8"=>"😎 🌞 👍",
        "9"=>"🌋 💦 🔥 ✨"
      },
      temps:{
        "1"=>"1️⃣",
        "2"=>"2️⃣",
        "3"=>"3️⃣",
        "4"=>"4️⃣",
        "5"=>"5️⃣",
        "6"=>"6️⃣",
        "7"=>"7️⃣",
        "8"=>"8️⃣",
        "9"=>"9️⃣",
        "0"=>"0️⃣"
      },
      codes:{
        "thunderstorm"=>"⚡️ 💦",
        "rain"=>"☔️",
        "drizzle"=>"💦 💧",
        "snow"=>"❄️",
        "overcast clouds"=>"☁️",
        "clear sky"=>"☀️",
        "clouds"=>"⛅️",
        "breeze"=>"💨",
        "windy"=>"💨 💨 💨"
      }
    }
    @city = city
    @greeting = weather_greeting
    @temp = temp
    @code = weather_code
  end

  def translate_city
    if !@translations[:cities].keys.include? @city.downcase
      @city = @translations[:cities]["other"]
    else
      @city = @translations[:cities][@city.downcase]
    end
  end

  def translate_greeting
    @greeting = @translations[:greetings][@greeting]
  end

  def translate_temp
    t = []
    @temp.split("").each do |num|
      t << @translations[:temps][num]
    end
    @temp = t.join(" ")
  end

  def translate_weather
    c = []
    @translations[:codes].each do |key, val|
      if @code.include? key
        c << val
      end
    end
    @code = c.join(" ")
  end

  def output
    output =
    "    👋 😄 👍 📜 🌟 🌠 ✨ 💫
    ‼️ 🚫 😖 ‼️ 🆗
    🌍 🌎 🌏 📍 #{translate_city}
    😲 👎 💥 🔫 💣 🔚 🔜
    #{translate_greeting} #{translate_temp} 🌀 ➕ #{translate_weather}
    🔮 💈 💸 💿 🚨 🎠 🎲 💃 ✨ 🍻 🍥 🐶
    "
  end

end
# e = Emojify.new("New York", "9", "30","clouds")
# puts e.output

# GREETINGS = {
#   "2" => "Be careful of lightning",
#   "3" => "Grab an umbrella",
#   "5" => "Put on some rain boots",
#   "6" => "Put on some warm socks",
#   "7" => "Stay dry",
#   "8" => "What a lovely day though",
#   "9" => "Hold on to your hat"
# }
