require 'spec_helper'

describe "WeatherAPI" do

  describe "WeatherAPI - ::new" do
    it 'takes a zip code on initialization' do
      weather = WeatherAPI.new("90266")
      expect(weather.zip).to eq(90266)
    end
  end
  describe "WeatherAPI - ::apicall" do
    it 'parses the url correctly' do
      expect(RestClient).to receive(:get).and_raise(RestClient::ResourceNotFound)
      # expect(RestClient).to receive(:get).and_return("")
      WeatherAPI.new("90210")
    end
    it 'updates the weather if it changes' do
      dummy_data = %{
        {"coord":{"lon":-73.97,"lat":40.78},"weather":[{"id":802,"main":"Clouds","description":"scattered clouds","icon":"03d"}],"base":"cmc stations","main":{"temp":82.56,"pressure":1011,"humidity":39,"temp_min":78.8,"temp_max":86},"wind":{"speed":11.02,"deg":300},"clouds":{"all":40},"dt":1439405431,"sys":{"type":1,"id":2120,"message":0.0458,"country":"US","sunrise":1439373817,"sunset":1439423838},"id":5125771,"name":"Manhattan","cod":200}
      }
      expect(RestClient).to receive(:get).and_return(dummy_data)
      weather_api = WeatherAPI.new("10001")
      expect(weather_api.returnhash[:city]).to eq("Manhattan")
      expect(weather_api.returnhash[:id]).to eq(802)
      expect(weather_api.returnhash[:temp]).to eq(82.56)
    end
  end
end
